Index: trunk/FACT++/gui/FactGui.h
===================================================================
--- trunk/FACT++/gui/FactGui.h	(revision 11836)
+++ trunk/FACT++/gui/FactGui.h	(revision 11847)
@@ -414,4 +414,9 @@
     DimStampedInfo fDimFadStatistics2;
 
+    DimStampedInfo fDimFscTemp;
+    DimStampedInfo fDimFscVolt;
+    DimStampedInfo fDimFscCurrent;
+    DimStampedInfo fDimFscHumidity;
+
     map<string, DimInfo*> fServices;
 
@@ -891,5 +896,5 @@
     // ===================== All ============================================
 
-    bool CheckSize(const DimData &d, size_t sz) const
+    bool CheckSize(const DimData &d, size_t sz, bool print=true) const
     {
         if (d.size()==0)
@@ -898,5 +903,6 @@
         if (d.size()!=sz)
         {
-            cout << "Size mismatch in " << d.name << ": Found=" << d.size() << " Expected=" << sz << endl;
+            if (print)
+                cout << "Size mismatch in " << d.name << ": Found=" << d.size() << " Expected=" << sz << endl;
             return false;
         }
@@ -2312,4 +2318,98 @@
         //Out() << "Error:" << endl;
         //Out() << sdata.fError << endl;
+    }
+
+    // ========================== FSC =======================================
+
+    void SetFscValue(QDoubleSpinBox *box, const DimData &d, int idx, bool enable)
+    {
+        box->setEnabled(enable);
+        if (!enable)
+        {
+            box->setToolTip(d.time.GetAsStr().c_str());
+            return;
+        }
+
+        ostringstream str;
+        str << d.time << "  --  " << d.get<float>() << "s";
+
+        box->setToolTip(str.str().c_str());
+        box->setValue(d.get<float>(idx*4+4));
+    }
+
+
+    void handleFscTemp(const DimData &d)
+    {
+        const bool enable = d.size()>0 && CheckSize(d, 60*sizeof(float));
+
+        QDoubleSpinBox *boxes[] = {
+            fTempCam00, fTempCam01,
+            fTempCam10, fTempCam11, fTempCam12, fTempCam13, fTempCam14, 
+            fTempCam20, fTempCam21, fTempCam22, fTempCam23, fTempCam24, fTempCam25,
+            fTempCam30, fTempCam31, fTempCam32, fTempCam33, fTempCam34, 
+            fTempCam40, fTempCam41, fTempCam42, fTempCam43, fTempCam44, fTempCam45,
+            fTempCam50, fTempCam51, fTempCam52, fTempCam53, fTempCam54,
+            fTempCam60, fTempCam61,
+            fTempCrate00, fTempCrate01, fTempCrate10, fTempCrate11,
+            fTempCrate20, fTempCrate21, fTempCrate30, fTempCrate31,
+            fTempPS00, fTempPS01, fTempPS10, fTempPS11,
+            fTempPS20, fTempPS21, fTempPS30, fTempPS31,
+            fTempAux0a,       fTempAux0b,       fTempAux1a,       fTempAux1b,
+            fTempBackpanel0a, fTempBackpanel0b, fTempBackpanel1a, fTempBackpanel1b,
+            fTempSwitchbox0a, fTempSwitchbox0b, fTempSwitchbox1a, fTempSwitchbox1b,
+        };
+
+        for (int i=0; i<59; i++)
+            SetFscValue(boxes[i], d, i, enable);
+    }
+
+    void handleFscVolt(const DimData &d)
+    {
+        const bool enable = d.size()>0 && CheckSize(d, 31*sizeof(float));
+
+        QDoubleSpinBox *boxes[] = {
+            fVoltFad00, fVoltFad10, fVoltFad20, fVoltFad30,
+            fVoltFad01, fVoltFad11, fVoltFad21, fVoltFad31,
+            fVoltFad02, fVoltFad12, fVoltFad22, fVoltFad32,
+            fVoltFPA00, fVoltFPA10, fVoltFPA20, fVoltFPA30,
+            fVoltFPA01, fVoltFPA11, fVoltFPA21, fVoltFPA31,
+            fVoltFPA02, fVoltFPA12, fVoltFPA22, fVoltFPA32,
+            fVoltETH0,  fVoltETH1,
+            fVoltFTM0,  fVoltFTM1,
+            fVoltFFC,   fVoltFLP,
+        };
+
+        for (int i=0; i<30; i++)
+            SetFscValue(boxes[i], d, i, enable);
+    }
+
+    void handleFscCurrent(const DimData &d)
+    {
+        const bool enable = d.size()>0 && CheckSize(d, 31*sizeof(float));
+
+        QDoubleSpinBox *boxes[] = {
+            fAmpFad00, fAmpFad10, fAmpFad20, fAmpFad30,
+            fAmpFad01, fAmpFad11, fAmpFad21, fAmpFad31,
+            fAmpFad02, fAmpFad12, fAmpFad22, fAmpFad32,
+            fAmpFPA00, fAmpFPA10, fAmpFPA20, fAmpFPA30,
+            fAmpFPA01, fAmpFPA11, fAmpFPA21, fAmpFPA31,
+            fAmpFPA02, fAmpFPA12, fAmpFPA22, fAmpFPA32,
+            fAmpETH0,  fAmpETH1,
+            fAmpFTM0,  fAmpFTM1,
+            fAmpFFC,   fAmpFLP,
+        };
+
+        for (int i=0; i<30; i++)
+            SetFscValue(boxes[i], d, i, enable);
+    }
+
+    void handleFscHumidity(const DimData &d)
+    {
+        const bool enable = d.size()>0 && CheckSize(d, 5*sizeof(float));
+
+        SetFscValue(fHumidity1, d, 0, enable);
+        SetFscValue(fHumidity2, d, 1, enable);
+        SetFscValue(fHumidity3, d, 2, enable);
+        SetFscValue(fHumidity4, d, 3, enable);
     }
 
@@ -2737,4 +2837,16 @@
         if (getInfo()==&fDimFtmError)
             return PostInfoHandler(&FactGui::handleFtmError);
+
+        if (getInfo()==&fDimFscTemp)
+            return PostInfoHandler(&FactGui::handleFscTemp);
+
+        if (getInfo()==&fDimFscVolt)
+            return PostInfoHandler(&FactGui::handleFscVolt);
+
+        if (getInfo()==&fDimFscCurrent)
+            return PostInfoHandler(&FactGui::handleFscCurrent);
+
+        if (getInfo()==&fDimFscHumidity)
+            return PostInfoHandler(&FactGui::handleFscHumidity);
 
 //        if (getInfo()==&fDimFadFiles)
@@ -3189,4 +3301,9 @@
         fDimFadStatistics2     ("FAD_CONTROL/STATISTICS2",        (void*)NULL, 0, this),
         //-
+        fDimFscTemp            ("FSC_CONTROL/TEMPERATURE",        (void*)NULL, 0, this),
+        fDimFscVolt            ("FSC_CONTROL/VOLTAGE",            (void*)NULL, 0, this),
+        fDimFscCurrent         ("FSC_CONTROL/CURRENT",            (void*)NULL, 0, this),
+        fDimFscHumidity        ("FSC_CONTROL/HUMIDITY",           (void*)NULL, 0, this),
+        //-
 	fEventData(0), fDrsCalibration(1440*1024*6),
 	fTimeStamp0(0)
Index: trunk/FACT++/gui/design.ui
===================================================================
--- trunk/FACT++/gui/design.ui	(revision 11836)
+++ trunk/FACT++/gui/design.ui	(revision 11847)
@@ -9019,5 +9019,5 @@
                </property>
                <item row="0" column="0">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_49">
+                <widget class="QDoubleSpinBox" name="fHumidity1">
                  <property name="autoFillBackground">
                   <bool>false</bool>
@@ -9047,5 +9047,5 @@
                </item>
                <item row="0" column="1">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_50">
+                <widget class="QDoubleSpinBox" name="fHumidity2">
                  <property name="autoFillBackground">
                   <bool>false</bool>
@@ -9075,5 +9075,5 @@
                </item>
                <item row="0" column="3">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_51">
+                <widget class="QDoubleSpinBox" name="fHumidity3">
                  <property name="autoFillBackground">
                   <bool>false</bool>
@@ -9103,5 +9103,5 @@
                </item>
                <item row="0" column="2">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_52">
+                <widget class="QDoubleSpinBox" name="fHumidity4">
                  <property name="autoFillBackground">
                   <bool>false</bool>
@@ -9214,5 +9214,5 @@
                </item>
                <item row="0" column="2">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox">
+                <widget class="QDoubleSpinBox" name="fVoltFad00">
                  <property name="alignment">
                   <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -9228,5 +9228,5 @@
                  </property>
                  <property name="decimals">
-                  <number>1</number>
+                  <number>2</number>
                  </property>
                  <property name="minimum">
@@ -9236,5 +9236,5 @@
                </item>
                <item row="1" column="2">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_2">
+                <widget class="QDoubleSpinBox" name="fVoltFad10">
                  <property name="alignment">
                   <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -9250,5 +9250,5 @@
                  </property>
                  <property name="decimals">
-                  <number>1</number>
+                  <number>2</number>
                  </property>
                  <property name="minimum">
@@ -9258,5 +9258,5 @@
                </item>
                <item row="2" column="2">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_3">
+                <widget class="QDoubleSpinBox" name="fVoltFad20">
                  <property name="alignment">
                   <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -9272,5 +9272,5 @@
                  </property>
                  <property name="decimals">
-                  <number>1</number>
+                  <number>2</number>
                  </property>
                  <property name="minimum">
@@ -9280,5 +9280,5 @@
                </item>
                <item row="3" column="3">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_4">
+                <widget class="QDoubleSpinBox" name="fVoltFad31">
                  <property name="alignment">
                   <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -9294,5 +9294,5 @@
                  </property>
                  <property name="decimals">
-                  <number>1</number>
+                  <number>2</number>
                  </property>
                  <property name="minimum">
@@ -9302,5 +9302,5 @@
                </item>
                <item row="1" column="3">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_5">
+                <widget class="QDoubleSpinBox" name="fVoltFad11">
                  <property name="alignment">
                   <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -9316,5 +9316,5 @@
                  </property>
                  <property name="decimals">
-                  <number>1</number>
+                  <number>2</number>
                  </property>
                  <property name="minimum">
@@ -9324,5 +9324,5 @@
                </item>
                <item row="0" column="4">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_6">
+                <widget class="QDoubleSpinBox" name="fVoltFad02">
                  <property name="alignment">
                   <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -9338,5 +9338,5 @@
                  </property>
                  <property name="decimals">
-                  <number>1</number>
+                  <number>2</number>
                  </property>
                  <property name="minimum">
@@ -9346,5 +9346,5 @@
                </item>
                <item row="0" column="3">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_7">
+                <widget class="QDoubleSpinBox" name="fVoltFad01">
                  <property name="alignment">
                   <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -9360,5 +9360,5 @@
                  </property>
                  <property name="decimals">
-                  <number>1</number>
+                  <number>2</number>
                  </property>
                  <property name="minimum">
@@ -9368,5 +9368,5 @@
                </item>
                <item row="2" column="3">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_8">
+                <widget class="QDoubleSpinBox" name="fVoltFad21">
                  <property name="alignment">
                   <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -9382,5 +9382,5 @@
                  </property>
                  <property name="decimals">
-                  <number>1</number>
+                  <number>2</number>
                  </property>
                  <property name="minimum">
@@ -9390,5 +9390,5 @@
                </item>
                <item row="3" column="2">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_9">
+                <widget class="QDoubleSpinBox" name="fVoltFad30">
                  <property name="alignment">
                   <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -9404,5 +9404,5 @@
                  </property>
                  <property name="decimals">
-                  <number>1</number>
+                  <number>2</number>
                  </property>
                  <property name="minimum">
@@ -9412,5 +9412,5 @@
                </item>
                <item row="1" column="4">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_10">
+                <widget class="QDoubleSpinBox" name="fVoltFad12">
                  <property name="alignment">
                   <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -9426,5 +9426,5 @@
                  </property>
                  <property name="decimals">
-                  <number>1</number>
+                  <number>2</number>
                  </property>
                  <property name="minimum">
@@ -9434,5 +9434,5 @@
                </item>
                <item row="2" column="4">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_11">
+                <widget class="QDoubleSpinBox" name="fVoltFad22">
                  <property name="alignment">
                   <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -9448,5 +9448,5 @@
                  </property>
                  <property name="decimals">
-                  <number>1</number>
+                  <number>2</number>
                  </property>
                  <property name="minimum">
@@ -9456,5 +9456,5 @@
                </item>
                <item row="3" column="4">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_12">
+                <widget class="QDoubleSpinBox" name="fVoltFad32">
                  <property name="alignment">
                   <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -9470,5 +9470,5 @@
                  </property>
                  <property name="decimals">
-                  <number>1</number>
+                  <number>2</number>
                  </property>
                  <property name="minimum">
@@ -9478,5 +9478,5 @@
                </item>
                <item row="5" column="2">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_13">
+                <widget class="QDoubleSpinBox" name="fVoltFPA00">
                  <property name="alignment">
                   <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -9492,5 +9492,5 @@
                  </property>
                  <property name="decimals">
-                  <number>1</number>
+                  <number>2</number>
                  </property>
                  <property name="minimum">
@@ -9500,5 +9500,5 @@
                </item>
                <item row="5" column="3">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_14">
+                <widget class="QDoubleSpinBox" name="fVoltFPA01">
                  <property name="alignment">
                   <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -9514,5 +9514,5 @@
                  </property>
                  <property name="decimals">
-                  <number>1</number>
+                  <number>2</number>
                  </property>
                  <property name="minimum">
@@ -9522,5 +9522,5 @@
                </item>
                <item row="5" column="4">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_15">
+                <widget class="QDoubleSpinBox" name="fVoltFPA02">
                  <property name="alignment">
                   <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -9536,5 +9536,5 @@
                  </property>
                  <property name="decimals">
-                  <number>1</number>
+                  <number>2</number>
                  </property>
                  <property name="minimum">
@@ -9544,5 +9544,5 @@
                </item>
                <item row="6" column="2">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_16">
+                <widget class="QDoubleSpinBox" name="fVoltFPA10">
                  <property name="alignment">
                   <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -9558,5 +9558,5 @@
                  </property>
                  <property name="decimals">
-                  <number>1</number>
+                  <number>2</number>
                  </property>
                  <property name="minimum">
@@ -9566,5 +9566,5 @@
                </item>
                <item row="6" column="3">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_17">
+                <widget class="QDoubleSpinBox" name="fVoltFPA11">
                  <property name="alignment">
                   <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -9580,5 +9580,5 @@
                  </property>
                  <property name="decimals">
-                  <number>1</number>
+                  <number>2</number>
                  </property>
                  <property name="minimum">
@@ -9588,5 +9588,5 @@
                </item>
                <item row="6" column="4">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_18">
+                <widget class="QDoubleSpinBox" name="fVoltFPA12">
                  <property name="alignment">
                   <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -9602,5 +9602,5 @@
                  </property>
                  <property name="decimals">
-                  <number>1</number>
+                  <number>2</number>
                  </property>
                  <property name="minimum">
@@ -9610,5 +9610,5 @@
                </item>
                <item row="7" column="2">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_19">
+                <widget class="QDoubleSpinBox" name="fVoltFPA20">
                  <property name="alignment">
                   <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -9624,5 +9624,5 @@
                  </property>
                  <property name="decimals">
-                  <number>1</number>
+                  <number>2</number>
                  </property>
                  <property name="minimum">
@@ -9632,5 +9632,5 @@
                </item>
                <item row="7" column="3">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_20">
+                <widget class="QDoubleSpinBox" name="fVoltFPA21">
                  <property name="alignment">
                   <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -9646,5 +9646,5 @@
                  </property>
                  <property name="decimals">
-                  <number>1</number>
+                  <number>2</number>
                  </property>
                  <property name="minimum">
@@ -9654,5 +9654,5 @@
                </item>
                <item row="7" column="4">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_21">
+                <widget class="QDoubleSpinBox" name="fVoltFPA22">
                  <property name="alignment">
                   <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -9668,5 +9668,5 @@
                  </property>
                  <property name="decimals">
-                  <number>1</number>
+                  <number>2</number>
                  </property>
                  <property name="minimum">
@@ -9676,5 +9676,5 @@
                </item>
                <item row="8" column="3">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_23">
+                <widget class="QDoubleSpinBox" name="fVoltFPA31">
                  <property name="alignment">
                   <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -9690,5 +9690,5 @@
                  </property>
                  <property name="decimals">
-                  <number>1</number>
+                  <number>2</number>
                  </property>
                  <property name="minimum">
@@ -9698,5 +9698,5 @@
                </item>
                <item row="8" column="4">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_24">
+                <widget class="QDoubleSpinBox" name="fVoltFPA32">
                  <property name="alignment">
                   <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -9712,5 +9712,5 @@
                  </property>
                  <property name="decimals">
-                  <number>1</number>
+                  <number>2</number>
                  </property>
                  <property name="minimum">
@@ -9748,5 +9748,5 @@
                </item>
                <item row="0" column="6">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_25">
+                <widget class="QDoubleSpinBox" name="fAmpFad00">
                  <property name="alignment">
                   <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -9762,5 +9762,5 @@
                  </property>
                  <property name="decimals">
-                  <number>1</number>
+                  <number>2</number>
                  </property>
                  <property name="minimum">
@@ -9770,5 +9770,5 @@
                </item>
                <item row="1" column="6">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_26">
+                <widget class="QDoubleSpinBox" name="fAmpFad10">
                  <property name="alignment">
                   <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -9784,5 +9784,5 @@
                  </property>
                  <property name="decimals">
-                  <number>1</number>
+                  <number>2</number>
                  </property>
                  <property name="minimum">
@@ -9792,5 +9792,5 @@
                </item>
                <item row="2" column="6">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_27">
+                <widget class="QDoubleSpinBox" name="fAmpFad20">
                  <property name="alignment">
                   <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -9806,5 +9806,5 @@
                  </property>
                  <property name="decimals">
-                  <number>1</number>
+                  <number>2</number>
                  </property>
                  <property name="minimum">
@@ -9814,5 +9814,5 @@
                </item>
                <item row="3" column="6">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_28">
+                <widget class="QDoubleSpinBox" name="fAmpFad30">
                  <property name="alignment">
                   <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -9828,5 +9828,5 @@
                  </property>
                  <property name="decimals">
-                  <number>1</number>
+                  <number>2</number>
                  </property>
                  <property name="minimum">
@@ -9836,5 +9836,5 @@
                </item>
                <item row="5" column="6">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_29">
+                <widget class="QDoubleSpinBox" name="fAmpFPA00">
                  <property name="alignment">
                   <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -9850,5 +9850,5 @@
                  </property>
                  <property name="decimals">
-                  <number>1</number>
+                  <number>2</number>
                  </property>
                  <property name="minimum">
@@ -9858,5 +9858,5 @@
                </item>
                <item row="6" column="6">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_30">
+                <widget class="QDoubleSpinBox" name="fAmpFPA10">
                  <property name="alignment">
                   <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -9872,5 +9872,5 @@
                  </property>
                  <property name="decimals">
-                  <number>1</number>
+                  <number>2</number>
                  </property>
                  <property name="minimum">
@@ -9880,5 +9880,5 @@
                </item>
                <item row="7" column="6">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_31">
+                <widget class="QDoubleSpinBox" name="fAmpFPA20">
                  <property name="alignment">
                   <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -9894,5 +9894,5 @@
                  </property>
                  <property name="decimals">
-                  <number>1</number>
+                  <number>2</number>
                  </property>
                  <property name="minimum">
@@ -9902,5 +9902,5 @@
                </item>
                <item row="0" column="7">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_33">
+                <widget class="QDoubleSpinBox" name="fAmpFad01">
                  <property name="alignment">
                   <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -9916,5 +9916,5 @@
                  </property>
                  <property name="decimals">
-                  <number>1</number>
+                  <number>2</number>
                  </property>
                  <property name="minimum">
@@ -9924,5 +9924,5 @@
                </item>
                <item row="1" column="7">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_34">
+                <widget class="QDoubleSpinBox" name="fAmpFad11">
                  <property name="alignment">
                   <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -9938,5 +9938,5 @@
                  </property>
                  <property name="decimals">
-                  <number>1</number>
+                  <number>2</number>
                  </property>
                  <property name="minimum">
@@ -9946,5 +9946,5 @@
                </item>
                <item row="2" column="7">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_35">
+                <widget class="QDoubleSpinBox" name="fAmpFad21">
                  <property name="alignment">
                   <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -9960,5 +9960,5 @@
                  </property>
                  <property name="decimals">
-                  <number>1</number>
+                  <number>2</number>
                  </property>
                  <property name="minimum">
@@ -9968,5 +9968,5 @@
                </item>
                <item row="3" column="7">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_36">
+                <widget class="QDoubleSpinBox" name="fAmpFad31">
                  <property name="alignment">
                   <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -9982,5 +9982,5 @@
                  </property>
                  <property name="decimals">
-                  <number>1</number>
+                  <number>2</number>
                  </property>
                  <property name="minimum">
@@ -9990,5 +9990,5 @@
                </item>
                <item row="5" column="7">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_37">
+                <widget class="QDoubleSpinBox" name="fAmpFPA01">
                  <property name="alignment">
                   <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -10004,5 +10004,5 @@
                  </property>
                  <property name="decimals">
-                  <number>1</number>
+                  <number>2</number>
                  </property>
                  <property name="minimum">
@@ -10012,5 +10012,5 @@
                </item>
                <item row="6" column="7">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_38">
+                <widget class="QDoubleSpinBox" name="fAmpFPA11">
                  <property name="alignment">
                   <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -10026,5 +10026,5 @@
                  </property>
                  <property name="decimals">
-                  <number>1</number>
+                  <number>2</number>
                  </property>
                  <property name="minimum">
@@ -10034,5 +10034,5 @@
                </item>
                <item row="7" column="7">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_39">
+                <widget class="QDoubleSpinBox" name="fAmpFPA21">
                  <property name="alignment">
                   <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -10048,5 +10048,5 @@
                  </property>
                  <property name="decimals">
-                  <number>1</number>
+                  <number>2</number>
                  </property>
                  <property name="minimum">
@@ -10056,5 +10056,5 @@
                </item>
                <item row="8" column="7">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_40">
+                <widget class="QDoubleSpinBox" name="fAmpFPA31">
                  <property name="alignment">
                   <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -10070,5 +10070,5 @@
                  </property>
                  <property name="decimals">
-                  <number>1</number>
+                  <number>2</number>
                  </property>
                  <property name="minimum">
@@ -10078,5 +10078,5 @@
                </item>
                <item row="0" column="8">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_41">
+                <widget class="QDoubleSpinBox" name="fAmpFad02">
                  <property name="alignment">
                   <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -10092,5 +10092,5 @@
                  </property>
                  <property name="decimals">
-                  <number>1</number>
+                  <number>2</number>
                  </property>
                  <property name="minimum">
@@ -10100,5 +10100,5 @@
                </item>
                <item row="1" column="8">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_42">
+                <widget class="QDoubleSpinBox" name="fAmpFad12">
                  <property name="alignment">
                   <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -10114,5 +10114,5 @@
                  </property>
                  <property name="decimals">
-                  <number>1</number>
+                  <number>2</number>
                  </property>
                  <property name="minimum">
@@ -10122,5 +10122,5 @@
                </item>
                <item row="2" column="8">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_43">
+                <widget class="QDoubleSpinBox" name="fAmpFad22">
                  <property name="alignment">
                   <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -10136,5 +10136,5 @@
                  </property>
                  <property name="decimals">
-                  <number>1</number>
+                  <number>2</number>
                  </property>
                  <property name="minimum">
@@ -10144,5 +10144,5 @@
                </item>
                <item row="3" column="8">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_44">
+                <widget class="QDoubleSpinBox" name="fAmpFad32">
                  <property name="alignment">
                   <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -10158,5 +10158,5 @@
                  </property>
                  <property name="decimals">
-                  <number>1</number>
+                  <number>2</number>
                  </property>
                  <property name="minimum">
@@ -10166,5 +10166,5 @@
                </item>
                <item row="5" column="8">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_45">
+                <widget class="QDoubleSpinBox" name="fAmpFPA02">
                  <property name="alignment">
                   <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -10180,5 +10180,5 @@
                  </property>
                  <property name="decimals">
-                  <number>1</number>
+                  <number>2</number>
                  </property>
                  <property name="minimum">
@@ -10188,5 +10188,5 @@
                </item>
                <item row="6" column="8">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_46">
+                <widget class="QDoubleSpinBox" name="fAmpFPA12">
                  <property name="alignment">
                   <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -10202,5 +10202,5 @@
                  </property>
                  <property name="decimals">
-                  <number>1</number>
+                  <number>2</number>
                  </property>
                  <property name="minimum">
@@ -10210,5 +10210,5 @@
                </item>
                <item row="7" column="8">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_47">
+                <widget class="QDoubleSpinBox" name="fAmpFPA22">
                  <property name="alignment">
                   <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -10224,5 +10224,5 @@
                  </property>
                  <property name="decimals">
-                  <number>1</number>
+                  <number>2</number>
                  </property>
                  <property name="minimum">
@@ -10232,5 +10232,5 @@
                </item>
                <item row="8" column="8">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_48">
+                <widget class="QDoubleSpinBox" name="fAmpFPA32">
                  <property name="alignment">
                   <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -10246,5 +10246,5 @@
                  </property>
                  <property name="decimals">
-                  <number>1</number>
+                  <number>2</number>
                  </property>
                  <property name="minimum">
@@ -10289,5 +10289,5 @@
                </item>
                <item row="8" column="2">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_22">
+                <widget class="QDoubleSpinBox" name="fVoltFPA30">
                  <property name="alignment">
                   <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -10303,5 +10303,5 @@
                  </property>
                  <property name="decimals">
-                  <number>1</number>
+                  <number>2</number>
                  </property>
                  <property name="minimum">
@@ -10311,5 +10311,5 @@
                </item>
                <item row="11" column="3">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_55">
+                <widget class="QDoubleSpinBox" name="fVoltFTM1">
                  <property name="alignment">
                   <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -10325,5 +10325,5 @@
                  </property>
                  <property name="decimals">
-                  <number>1</number>
+                  <number>2</number>
                  </property>
                  <property name="minimum">
@@ -10333,5 +10333,5 @@
                </item>
                <item row="10" column="2">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_60">
+                <widget class="QDoubleSpinBox" name="fVoltETH0">
                  <property name="alignment">
                   <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -10347,5 +10347,5 @@
                  </property>
                  <property name="decimals">
-                  <number>1</number>
+                  <number>2</number>
                  </property>
                  <property name="minimum">
@@ -10355,5 +10355,5 @@
                </item>
                <item row="11" column="2">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_61">
+                <widget class="QDoubleSpinBox" name="fVoltFTM0">
                  <property name="alignment">
                   <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -10369,5 +10369,5 @@
                  </property>
                  <property name="decimals">
-                  <number>1</number>
+                  <number>2</number>
                  </property>
                  <property name="minimum">
@@ -10377,5 +10377,5 @@
                </item>
                <item row="8" column="6">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_32">
+                <widget class="QDoubleSpinBox" name="fAmpFPA30">
                  <property name="alignment">
                   <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -10391,5 +10391,5 @@
                  </property>
                  <property name="decimals">
-                  <number>1</number>
+                  <number>2</number>
                  </property>
                  <property name="minimum">
@@ -10399,5 +10399,5 @@
                </item>
                <item row="10" column="6">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_65">
+                <widget class="QDoubleSpinBox" name="fAmpETH0">
                  <property name="alignment">
                   <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -10413,5 +10413,5 @@
                  </property>
                  <property name="decimals">
-                  <number>1</number>
+                  <number>2</number>
                  </property>
                  <property name="minimum">
@@ -10421,5 +10421,5 @@
                </item>
                <item row="11" column="6">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_53">
+                <widget class="QDoubleSpinBox" name="fAmpFTM0">
                  <property name="alignment">
                   <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -10435,5 +10435,5 @@
                  </property>
                  <property name="decimals">
-                  <number>1</number>
+                  <number>2</number>
                  </property>
                  <property name="minimum">
@@ -10443,5 +10443,5 @@
                </item>
                <item row="11" column="7">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_54">
+                <widget class="QDoubleSpinBox" name="fAmpFTM1">
                  <property name="alignment">
                   <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -10457,5 +10457,5 @@
                  </property>
                  <property name="decimals">
-                  <number>1</number>
+                  <number>2</number>
                  </property>
                  <property name="minimum">
@@ -10479,5 +10479,5 @@
                </item>
                <item row="10" column="3">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_59">
+                <widget class="QDoubleSpinBox" name="fVoltETH1">
                  <property name="alignment">
                   <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -10493,5 +10493,5 @@
                  </property>
                  <property name="decimals">
-                  <number>1</number>
+                  <number>2</number>
                  </property>
                  <property name="minimum">
@@ -10501,5 +10501,5 @@
                </item>
                <item row="10" column="7">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_66">
+                <widget class="QDoubleSpinBox" name="fAmpETH1">
                  <property name="alignment">
                   <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -10515,5 +10515,5 @@
                  </property>
                  <property name="decimals">
-                  <number>1</number>
+                  <number>2</number>
                  </property>
                  <property name="minimum">
@@ -10523,5 +10523,5 @@
                </item>
                <item row="12" column="2">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_63">
+                <widget class="QDoubleSpinBox" name="fVoltFFC">
                  <property name="alignment">
                   <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -10537,5 +10537,5 @@
                  </property>
                  <property name="decimals">
-                  <number>1</number>
+                  <number>2</number>
                  </property>
                  <property name="minimum">
@@ -10562,5 +10562,5 @@
                </item>
                <item row="12" column="4">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_64">
+                <widget class="QDoubleSpinBox" name="fVoltFLP">
                  <property name="alignment">
                   <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -10576,5 +10576,5 @@
                  </property>
                  <property name="decimals">
-                  <number>1</number>
+                  <number>2</number>
                  </property>
                  <property name="minimum">
@@ -10594,5 +10594,5 @@
                </item>
                <item row="12" column="8">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_68">
+                <widget class="QDoubleSpinBox" name="fAmpFLP">
                  <property name="alignment">
                   <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -10608,5 +10608,5 @@
                  </property>
                  <property name="decimals">
-                  <number>1</number>
+                  <number>2</number>
                  </property>
                  <property name="minimum">
@@ -10616,5 +10616,5 @@
                </item>
                <item row="12" column="6">
-                <widget class="QDoubleSpinBox" name="doubleSpinBox_67">
+                <widget class="QDoubleSpinBox" name="fAmpFFC">
                  <property name="alignment">
                   <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -10630,5 +10630,5 @@
                  </property>
                  <property name="decimals">
-                  <number>1</number>
+                  <number>2</number>
                  </property>
                  <property name="minimum">
@@ -10758,5 +10758,5 @@
              </item>
              <item row="1" column="1">
-              <widget class="QDoubleSpinBox" name="doubleSpinBox_71">
+              <widget class="QDoubleSpinBox" name="fTempCrate00">
                <property name="alignment">
                 <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -10783,5 +10783,5 @@
              </item>
              <item row="1" column="2">
-              <widget class="QDoubleSpinBox" name="doubleSpinBox_72">
+              <widget class="QDoubleSpinBox" name="fTempCrate01">
                <property name="alignment">
                 <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -10808,5 +10808,5 @@
              </item>
              <item row="2" column="1">
-              <widget class="QDoubleSpinBox" name="doubleSpinBox_73">
+              <widget class="QDoubleSpinBox" name="fTempCrate10">
                <property name="alignment">
                 <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -10833,5 +10833,5 @@
              </item>
              <item row="3" column="1">
-              <widget class="QDoubleSpinBox" name="doubleSpinBox_74">
+              <widget class="QDoubleSpinBox" name="fTempCrate20">
                <property name="alignment">
                 <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -10858,5 +10858,5 @@
              </item>
              <item row="4" column="1">
-              <widget class="QDoubleSpinBox" name="doubleSpinBox_75">
+              <widget class="QDoubleSpinBox" name="fTempCrate30">
                <property name="alignment">
                 <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -10883,5 +10883,5 @@
              </item>
              <item row="2" column="2">
-              <widget class="QDoubleSpinBox" name="doubleSpinBox_76">
+              <widget class="QDoubleSpinBox" name="fTempCrate11">
                <property name="alignment">
                 <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -10908,5 +10908,5 @@
              </item>
              <item row="3" column="2">
-              <widget class="QDoubleSpinBox" name="doubleSpinBox_77">
+              <widget class="QDoubleSpinBox" name="fTempCrate21">
                <property name="alignment">
                 <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -10933,5 +10933,5 @@
              </item>
              <item row="4" column="2">
-              <widget class="QDoubleSpinBox" name="doubleSpinBox_78">
+              <widget class="QDoubleSpinBox" name="fTempCrate31">
                <property name="alignment">
                 <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -10958,5 +10958,5 @@
              </item>
              <item row="1" column="3">
-              <widget class="QDoubleSpinBox" name="doubleSpinBox_79">
+              <widget class="QDoubleSpinBox" name="fTempPS00">
                <property name="alignment">
                 <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -10983,5 +10983,5 @@
              </item>
              <item row="2" column="3">
-              <widget class="QDoubleSpinBox" name="doubleSpinBox_80">
+              <widget class="QDoubleSpinBox" name="fTempPS10">
                <property name="alignment">
                 <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -11008,5 +11008,5 @@
              </item>
              <item row="3" column="3">
-              <widget class="QDoubleSpinBox" name="doubleSpinBox_81">
+              <widget class="QDoubleSpinBox" name="fTempPS20">
                <property name="alignment">
                 <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -11033,5 +11033,5 @@
              </item>
              <item row="4" column="3">
-              <widget class="QDoubleSpinBox" name="doubleSpinBox_82">
+              <widget class="QDoubleSpinBox" name="fTempPS30">
                <property name="alignment">
                 <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -11058,5 +11058,5 @@
              </item>
              <item row="1" column="4">
-              <widget class="QDoubleSpinBox" name="doubleSpinBox_83">
+              <widget class="QDoubleSpinBox" name="fTempPS01">
                <property name="alignment">
                 <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -11083,5 +11083,5 @@
              </item>
              <item row="2" column="4">
-              <widget class="QDoubleSpinBox" name="doubleSpinBox_84">
+              <widget class="QDoubleSpinBox" name="fTempPS11">
                <property name="alignment">
                 <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -11108,5 +11108,5 @@
              </item>
              <item row="3" column="4">
-              <widget class="QDoubleSpinBox" name="doubleSpinBox_85">
+              <widget class="QDoubleSpinBox" name="fTempPS21">
                <property name="alignment">
                 <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -11133,5 +11133,5 @@
              </item>
              <item row="4" column="4">
-              <widget class="QDoubleSpinBox" name="doubleSpinBox_86">
+              <widget class="QDoubleSpinBox" name="fTempPS31">
                <property name="alignment">
                 <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -11214,5 +11214,5 @@
              </item>
              <item row="1" column="1">
-              <widget class="QDoubleSpinBox" name="doubleSpinBox_87">
+              <widget class="QDoubleSpinBox" name="fTempBackpanel0a">
                <property name="alignment">
                 <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -11239,5 +11239,5 @@
              </item>
              <item row="1" column="2">
-              <widget class="QDoubleSpinBox" name="doubleSpinBox_88">
+              <widget class="QDoubleSpinBox" name="fTempSwitchbox0a">
                <property name="alignment">
                 <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -11264,5 +11264,5 @@
              </item>
              <item row="2" column="1">
-              <widget class="QDoubleSpinBox" name="doubleSpinBox_89">
+              <widget class="QDoubleSpinBox" name="fTempBackpanel0b">
                <property name="alignment">
                 <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -11289,5 +11289,5 @@
              </item>
              <item row="3" column="1">
-              <widget class="QDoubleSpinBox" name="doubleSpinBox_90">
+              <widget class="QDoubleSpinBox" name="fTempBackpanel1a">
                <property name="alignment">
                 <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -11314,5 +11314,5 @@
              </item>
              <item row="4" column="1">
-              <widget class="QDoubleSpinBox" name="doubleSpinBox_91">
+              <widget class="QDoubleSpinBox" name="fTempBackpanel1b">
                <property name="alignment">
                 <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -11339,5 +11339,5 @@
              </item>
              <item row="2" column="2">
-              <widget class="QDoubleSpinBox" name="doubleSpinBox_92">
+              <widget class="QDoubleSpinBox" name="fTempSwitchbox0b">
                <property name="alignment">
                 <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -11364,5 +11364,5 @@
              </item>
              <item row="3" column="2">
-              <widget class="QDoubleSpinBox" name="doubleSpinBox_93">
+              <widget class="QDoubleSpinBox" name="fTempSwitchbox1a">
                <property name="alignment">
                 <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -11389,5 +11389,5 @@
              </item>
              <item row="4" column="2">
-              <widget class="QDoubleSpinBox" name="doubleSpinBox_94">
+              <widget class="QDoubleSpinBox" name="fTempSwitchbox1b">
                <property name="alignment">
                 <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -11414,5 +11414,5 @@
              </item>
              <item row="1" column="3">
-              <widget class="QDoubleSpinBox" name="doubleSpinBox_95">
+              <widget class="QDoubleSpinBox" name="fTempAux0a">
                <property name="alignment">
                 <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -11439,5 +11439,5 @@
              </item>
              <item row="2" column="3">
-              <widget class="QDoubleSpinBox" name="doubleSpinBox_96">
+              <widget class="QDoubleSpinBox" name="fTempAux0b">
                <property name="alignment">
                 <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -11464,5 +11464,5 @@
              </item>
              <item row="3" column="3">
-              <widget class="QDoubleSpinBox" name="doubleSpinBox_97">
+              <widget class="QDoubleSpinBox" name="fTempAux1a">
                <property name="alignment">
                 <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
@@ -11489,5 +11489,5 @@
              </item>
              <item row="4" column="3">
-              <widget class="QDoubleSpinBox" name="doubleSpinBox_98">
+              <widget class="QDoubleSpinBox" name="fTempAux1b">
                <property name="alignment">
                 <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
